Bug 479945 - yum install mvapich2 does not trigger the install of gfortran: can't recompile fortran code after install [NEEDINFO]
yum install mvapich2 does not trigger the install of gfortran: can't recompil...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mvapich2 (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 03:37 EST by Mehdi Bozzo-Rey
Modified: 2014-08-31 19:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pm-rhel: needinfo? (mbozzore)


Attachments (Terms of Use)

  None (edit)
Description Mehdi Bozzo-Rey 2009-01-14 03:37:26 EST
Description of problem: yum install mvapich2 does not trigger the install of gfortran: can't recompile fortran code


Version-Release number of selected component (if applicable): mvapich2-1.0.3-3.el5


How reproducible:always


Steps to Reproduce:
1. yum install mvapich2
2.recompile fortran code
3.
  
Actual results: fails


Expected results: pass


Additional info:

[root@compute-0-12 examples]# yum install mvapich2
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package mvapich2.x86_64 0:1.0.3-3.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================
 Package                      Arch                       Version                         Repository                  Size
==========================================================================================================================
Installing:
 mvapich2                     x86_64                     1.0.3-3.el5                     rhel53                     2.5 M

Transaction Summary
==========================================================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 2.5 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : mvapich2                                          [1/1]

Installed: mvapich2.x86_64 0:1.0.3-3.el5
Complete!
[root@compute-0-12 examples]# mpi-selector --set mvapich2-1.0.3-gcc-x86_64
[root@compute-0-12 examples]# mpi-selector --query
default:mvapich2-1.0.3-gcc-x86_64
level:user
[root@compute-0-12 examples]# exit
logout
[root@compute-0-12 examples]# mpif90 -o hello_f90 hello_f90.f90
/usr/lib64/mvapich2/1.0.3-gcc/bin/mpif90: line 317: f95: command not found
[root@compute-0-12 examples]#
[root@compute-0-12 examples]# yum install gcc-gfortran -y
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package gcc-gfortran.x86_64 0:4.1.2-44.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================
 Package                        Arch                     Version                           Repository                Size
==========================================================================================================================
Installing:
 gcc-gfortran                   x86_64                   4.1.2-44.el5                      rhel53                   3.6 M

Transaction Summary
==========================================================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 3.6 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : gcc-gfortran                                      [1/1]

Installed: gcc-gfortran.x86_64 0:4.1.2-44.el5
Complete!
[root@compute-0-12 examples]#
[root@compute-0-12 examples]# mpif90 -o hello_f90 hello_f90.f90
[root@compute-0-12 examples]# ldd hello_f90
        libmpich.so => /usr/lib64/mvapich2/1.0.3-gcc/lib/libmpich.so (0x00002b5038813000)
        librdmacm.so.1 => /usr/lib64/librdmacm.so.1 (0x00002b5038bd5000)
        libibverbs.so.1 => /usr/lib64/libibverbs.so.1 (0x00002b5038dda000)
        libibumad.so.1 => /usr/lib64/libibumad.so.1 (0x00002b5038fe7000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x000000312fe00000)
        librt.so.1 => /lib64/librt.so.1 (0x0000003130200000)
        libgfortran.so.1 => /usr/lib64/libgfortran.so.1 (0x00002b50391ed000)
        libm.so.6 => /lib64/libm.so.6 (0x000000312f600000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x0000003140000000)
        libc.so.6 => /lib64/libc.so.6 (0x000000312f200000)
        libdl.so.2 => /lib64/libdl.so.2 (0x000000312fa00000)
        libibcommon.so.1 => /usr/lib64/libibcommon.so.1 (0x00002b5039485000)
        /lib64/ld-linux-x86-64.so.2 (0x000000312ee00000)
[root@compute-0-12 examples]#
[root@compute-0-12 examples]# rpm -qR mvapich2-1.0.3-3.el5
/bin/sh
/bin/sh
/bin/sh
/usr/bin/env
/usr/bin/perl
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.2)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libibumad.so.1()(64bit)
libibumad.so.1(IBUMAD_1.0)(64bit)
libibverbs.so.1()(64bit)
libibverbs.so.1(IBVERBS_1.0)(64bit)
libibverbs.so.1(IBVERBS_1.1)(64bit)
libmpich.so()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
librdmacm.so.1()(64bit)
librdmacm.so.1(RDMACM_1.0)(64bit)
librt.so.1()(64bit)
mpi-selector
mpi-selector
mpi-selector
rpm
rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
Comment 1 Doug Ledford 2010-02-24 17:07:01 EST
Jay, I think I left this bug unfixed because although most MPI users want fortran capability, it's possible someone wants their MPI with only C or C++, and so it seemed forcing fortran to be installed was a bit overkill.  Your call on whether or not to eventually fix this.
Comment 2 RHEL Product and Program Management 2014-03-07 08:34:56 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 3 RHEL Product and Program Management 2014-06-02 09:03:28 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.